org.gjt.sp.jedit.datatransfer

## Class JEditRichText

- java.lang.Object
- - org.gjt.sp.jedit.datatransfer.JEditRichText

    public class JEditRichText
    extends java.lang.Object

Since:
  jEdit 4.4.x

### Constructor Summary

Constructors
Constructor and Description
`JEditRichText(java.lang.String text, java.lang.String mode)`

### Method Summary

Methods
`Mode` `getMode()`
`java.lang.String` `getText()`
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### JEditRichText

    public JEditRichText(java.lang.String text,
                 java.lang.String mode)

### Method Detail

#### getText

    public java.lang.String getText()

#### getMode

    public Mode getMode()

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`